# On the Rate of Error Growth in Time for Numerical Solutions of Nonlinear Dispersive Wave Equations

[![License: MIT](https://img.shields.io/badge/License-MIT-success.svg)](https://opensource.org/licenses/MIT)
[![DOI](https://zenodo.org/badge/DOI/TODO.svg)](https://doi.org/TODO)

This repository contains some code used in the article
```
@online{ranocha2021rate,
  title={On the Rate of Error Growth in Time for Numerical Solutions of
         Nonlinear Dispersive Wave Equations},
  author={Ranocha, Hendrik and Quezada de Luna, Manuel and Ketcheson, David I},
  year={2020},
  month={TODO},
  eprint={TODO},
  eprinttype={arxiv},
  eprintclass={math.NA}
}
```

> We study the numerical error in solitary wave solutions of nonlinear dispersive wave equations. A number of existing results for particular equations and/or methods indicate that the error grows quadratically in time for numerical methods that do not conserve energy, but grows only linearly for conservative methods. We provide numerical experiments indicating that this result extends to a very broad class of equations and numerical methods.


If you find these results useful, please cite the article mentioned above. If you
use the implementations provided here, please *also* cite this repository as
```
@misc{ranocha2021rateRepro,
  title={{Dispersive-wave-error-growth-notebooks}.
         {O}n the Rate of Error Growth in Time for Numerical Solutions of
         Nonlinear Dispersive Wave Equations},
  author={Ranocha, Hendrik and Quezada de Luna, Manuel and Ketcheson, David I},
  year={2020},
  month={TODO},
  howpublished={\url{https://github.com/ranocha/Dispersive-wave-error-growth-notebooks}},
  doi={TODO}
}
```

The numerical experiments were carried out on a workstation running Kubuntu 20.04.
The Jupyter notebooks running Julia kernels used Julia v1.5.3.


## Disclaimer

Everything is provided as is and without warranty. Use at your own risk!
